Loading...
Searching...
No Matches
Opm::RestartIO::Helpers::AggregateUDQData Class Reference

## Public Member Functions

| AggregateUDQData (const UDQDims &udqDims)
void | captureDeclaredUDQData (const Schedule &sched, const std::size_t simStep, const UDQState &udqState, const std::vector< int > &inteHead)
const std::vector< int > & | getIUDQ () const
const std::optional< WindowedArray< int > > & | getIUAD () const
| Retrieve UDA descriptive data. Nullopt if no UDAs in use.
const std::vector< EclIO::PaddedOutputString< 8 > > & | getZUDN () const
const std::vector< EclIO::PaddedOutputString< 8 > > & | getZUDL () const
const std::optional< WindowedArray< int > > & | getIGPH () const
| Retrive group level injection phase UDAs.
const std::optional< WindowedArray< int > > & | getIUAP () const
| Associate well/group IDs for IUAD. Nullopt if no UDAs in use.
const std::optional< WindowedArray< double > > & | getDUDF () const
| Retrieve values of field level UDQs. Nullopt if no such UDQs exist.
const std::optional< WindowedArray< double > > & | getDUDG () const
| Retrieve values of group level UDQs. Nullopt if no such UDQs exist.
const std::optional< WindowedMatrix< double > > & | getDUDS () const
| Retrieve values of segment level UDQs. Nullopt if no such UDQs exist.
const std::optional< WindowedArray< double > > & | getDUDW () const
| Retrieve values of well level UDQs. Nullopt if no such UDQs exist.

## Member Function Documentation

## getIGPH()

const std::optional< WindowedArray< int > > & Opm::RestartIO::Helpers::AggregateUDQData::getIGPH | ( |  | ) | const

inline

Retrive group level injection phase UDAs.

Nullopt if no injection phase is described by a UDA for any groups.

The documentation for this class was generated from the following files:

- opm/output/eclipse/AggregateUDQData.hpp
- opm/output/eclipse/AggregateUDQData.cpp